# Merges the contents of two GeoJSON files

import sys
import os
import json

# Get file paths
destFile = sys.argv[1]
sourceFile = sys.argv[2]
mergedFile = sys.argv[3]

# Read JSON from first file
with open(destFile, 'r') as destf:
    destData = json.load(destf)

    # Read JSON from second file
    with open(sourceFile, 'r') as sourcef:
        sourceData = json.load(sourcef)

        # Insert it into the JSON you got from the first file
        for item in sourceData['features']:
            destData['features'].append(item)

    # Write the resulting JSON to the merged file
    with open(mergedFile, 'w') as mergedf:
        mergedData = json.dumps(destData)
        mergedf.write(mergedData)
        